2018-06-18 05:36 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004724Kali Linux[All Projects] Kali Package Bugpublic2018-06-07 21:41
Reporterr0tati0n 
Assigned Tosbrun 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2018.1 
Target VersionFixed in Version 
Summary0004724: gqrx missing libvolk.so.1.3
DescriptionWhen running gqrx in a fresh kali-linux-all installation gqrx cannot run "error while loading shared libraries: libvolk.so.1.3: cannot open shared object file: No such file or directory"

Solved by:

ln -sf /usr/lib/x86_64-linux-gnu/libvolk.so.1.3.1 /usr/lib/x86_64-linux-gnu/libvolk.so.1.3
Attached Files

-Relationships
+Relationships

-Notes

~0009076

kunkel (reporter)

I verified that this is error happens

solved by:
ln -sf /usr/lib/x86_64-linux-gnu/libvolk.so.1.3.1 /usr/lib/x86_64-linux-gnu/libvolk.so.1.3

works

---

dpkg --status gqrx-sdr
Package: gqrx-sdr
Status: install ok installed
Priority: optional
Section: hamradio
Installed-Size: 2172
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Architecture: amd64
Version: 2.9-2
Replaces: gqrx (<= 2.3.0-0kali4)
Depends: pulseaudio, libboost-program-options1.62.0, libboost-system1.62.0, libc6 (>= 2.14), libgcc1 (>= 1:4.0), libgnuradio-analog3.7.11, libgnuradio-audio3.7.11, libgnuradio-blocks3.7.11, libgnuradio-digital3.7.11, libgnuradio-fft3.7.11, libgnuradio-filter3.7.11, libgnuradio-osmosdr0.1.4 (>= 0.1.4-13), libgnuradio-pmt3.7.11, libgnuradio-runtime3.7.11, liblog4cpp5v5, libpulse0 (>= 0.99.1), libqt5core5a (>= 5.9.0~beta), libqt5gui5 (>= 5.2.0), libqt5network5 (>= 5.0.2), libqt5svg5 (>= 5.6.0~beta), libqt5widgets5 (>= 5.2.0~alpha1), libstdc++6 (>= 5.2), libvolk1.3
Conflicts: gqrx (<= 2.3.0-0kali4)
Description: Software defined radio receiver
 Gqrx supports many of the SDR hardware available, including Funcube
 Dongles, rtl-sdr, HackRF and USRP devices.
 .
 Includes AM, SSB, FM-N and FM-W (mono and stereo) demodulators, and
 Special FM mode for NOAA APT. Displays FFT plot and spectrum waterfall.
 .
 It is powered by GNU Radio and the Qt GUI toolkit.
Homepage: http://gqrx.dk/
root@shoe:~# gqrx
gqrx: error while loading shared libraries: libvolk.so.1.3: cannot open shared object file: No such file or directory

~0009212

pkreuzt (reporter)

Very easy to fix, but doesn't work out-of-the-box. Any chance we get this fixed with a new libvolk package?

~0009218

rhertzog (administrator)

kali-rolling currently has gqrx-sdr 2.11.5-1 which depends on libvolk1.4 which contains libvolk.so.1.4 so I believe that this is now a non-issue.

Please confirm that the latest version works out of the box for you.

~0009220

pkreuzt (reporter)

Yes, after latest (today) update it does work by default. Thanks !
+Notes

-Issue History
Date Modified Username Field Change
2018-04-29 13:48 r0tati0n New Issue
2018-04-29 17:56 kunkel Note Added: 0009076
2018-06-06 18:08 pkreuzt Note Added: 0009212
2018-06-07 07:43 rhertzog Assigned To => sbrun
2018-06-07 07:43 rhertzog Status new => assigned
2018-06-07 09:10 rhertzog Note Added: 0009218
2018-06-07 17:45 pkreuzt Note Added: 0009220
2018-06-07 21:41 rhertzog Status assigned => resolved
2018-06-07 21:41 rhertzog Resolution open => fixed
+Issue History